document.addEventListener('DOMContentLoaded', function() {
  const ctx = document.getElementById('performanceChart').getContext('2d');
  new Chart(ctx, {
    type: 'line',
    data: {
      labels: ['2018', '2019', '2020', '2021', '2022', '2023'],
      datasets: [
        {
          label: 'Gold',
          data: [1200, 1300, 1500, 1800, 1700, 1900],
          borderColor: '#FFD700',
          fill: false,
        },
        {
          label: 'Crypto',
          data: [3000, 4000, 7000, 30000, 50000, 25000],
          borderColor: '#4B33A8',
          fill: false,
        },
      ],
    },
    options: {
      responsive: true,
      scales: {
        y: {
          beginAtZero: false,
        },
      },
    },
  });
});